// config_report.cc. Generated from config.report by tools/mk_cfgrpt.sh

namespace isc {
namespace detail {

extern const char* const config_report[] = {
    ";;;; ",
    ";;;;        Kea source configure results:",
    ";;;;     -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-",
    ";;;; ",
    ";;;; Package:",
    ";;;;   Name:              kea",
    ";;;;   Version:           2.6.2",
    ";;;;   Extended version:  2.6.2 (tarball)",
    ";;;;   Version type:      stable",
    ";;;;   OS Family:         Linux",
    ";;;; ",
    ";;;;   Prefix:            /usr",
    ";;;;   Hooks directory:   /usr/lib/kea/hooks",
    ";;;;   Premium hooks:     no",
    ";;;;   Included Hooks:   ",
    ";;;; ",
    ";;;; Configure arguments:",
    ";;;;  '--prefix=/usr' '--sbindir=/usr/bin' '--libexecdir=/usr/bin' '--sysconfdir=/etc' '--localstatedir=/var' '--runstatedir=/run' '--enable-perfdhcp' '--enable-generate-messages' '--enable-generate-parser' '--enable-generate-docs' '--enable-shell' '--disable-static' '--with-gtest' '--with-openssl' '--with-mysql' '--with-pgsql' '--with-gssapi' '--with-log4cplus' 'CXXFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection         -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -Wp,-D_GLIBCXX_ASSERTIONS -g -ffile-prefix-map=/build/kea/src=/usr/src/debug/kea -flto=auto' 'LDFLAGS=-Wl,-O1 -Wl,--sort-common -Wl,--as-needed -Wl,-z,relro -Wl,-z,now          -Wl,-z,pack-relative-relocs -flto=auto' 'CFLAGS=-march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection         -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -g -ffile-prefix-map=/build/kea/src=/usr/src/debug/kea -flto=auto'",
    ";;;; ",
    ";;;; C++ Compiler:",
    ";;;;   CXX:             g++",
    ";;;;   CXX_VERSION:     g++ (GCC) 15.1.1 20250425",
    ";;;;   CXX_STANDARD:    201703",
    ";;;;   DEFS:            -DHAVE_CONFIG_H",
    ";;;;   CPPFLAGS:         -DOS_LINUX  -I$(top_srcdir) -I$(top_builddir)",
    ";;;;   CXXFLAGS:        -march=x86-64 -mtune=generic -O2 -pipe -fno-plt -fexceptions         -Wp,-D_FORTIFY_SOURCE=3 -Wformat -Werror=format-security         -fstack-clash-protection -fcf-protection         -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -Wp,-D_GLIBCXX_ASSERTIONS -g -ffile-prefix-map=/build/kea/src=/usr/src/debug/kea -flto=auto",
    ";;;;   LDFLAGS:         -Wl,-O1 -Wl,--sort-common -Wl,--as-needed -Wl,-z,relro -Wl,-z,now          -Wl,-z,pack-relative-relocs -flto=auto -lpthread",
    ";;;;   KEA_CXXFLAGS:     -Wall -Wextra -Wnon-virtual-dtor -Wwrite-strings -Woverloaded-virtual -Wno-sign-compare -pthread -Wno-missing-field-initializers -fPIC",
    ";;;; ",
    ";;;; Python:",
    ";;;;   PYTHON:               /usr/bin/python3",
    ";;;;   PYTHON_VERSION:       3.13",
    ";;;;   PYTHON_PREFIX:        /usr",
    ";;;;   PYTHON_EXEC_PREFIX:   /usr",
    ";;;;   PKGPYTHONDIR:         /usr/lib/python3.13/site-packages/kea",
    ";;;; ",
    ";;;; Boost:",
    ";;;;   BOOST_VERSION:   1.88",
    ";;;;   BOOST_INCLUDES:  ",
    ";;;;   BOOST_LIBS:       -lboost_system",
    ";;;; ",
    ";;;; OpenSSL:",
    ";;;;   CRYPTO_VERSION:  OpenSSL 3.5.0 8 Apr 2025",
    ";;;;   CRYPTO_CFLAGS:   ",
    ";;;;   CRYPTO_INCLUDES: ",
    ";;;;   CRYPTO_LDFLAGS:  ",
    ";;;;   CRYPTO_LIBS:     -lssl -lcrypto",
    ";;;;   TLS support:     yes",
    ";;;; ",
    ";;;; Botan: no",
    ";;;; ",
    ";;;; Log4cplus:",
    ";;;;   LOG4CPLUS_VERSION:  2.1.0",
    ";;;;   LOG4CPLUS_INCLUDES: -I/usr/include",
    ";;;;   LOG4CPLUS_LIBS:     -L/usr/lib -L/usr/lib64 -llog4cplus",
    ";;;; ",
    ";;;; Flex/bison:",
    ";;;;   FLEX:  flex",
    ";;;;   BISON: /usr/bin/bison",
    ";;;; ",
    ";;;; MySQL:",
    ";;;;   MYSQL_VERSION:   11.7.2",
    ";;;;   MYSQL_CPPFLAGS:  -I/usr/include/mysql -I/usr/include/mysql/mysql",
    ";;;;   MYSQL_LIBS:      -L/usr/lib/ -lmariadb -lssl -lcrypto",
    ";;;; ",
    ";;;; PostgreSQL:",
    ";;;;   PGSQL_VERSION:   PostgreSQL 17.4",
    ";;;;   PGSQL_CPPFLAGS:  -D_GNU_SOURCE -I/usr/include/libxml2 -I/usr/include -I/usr/include/postgresql/server",
    ";;;;   PGSQL_LIBS:      -L/usr/lib -lpq",
    ";;;; ",
    ";;;; NETCONF:",
    ";;;;   no",
    ";;;; ",
    ";;;;   libyang:",
    ";;;;     no",
    ";;;; ",
    ";;;;   libyang-cpp:",
    ";;;;     no",
    ";;;; ",
    ";;;;   sysrepo:",
    ";;;;     no",
    ";;;; ",
    ";;;;   sysrepo-cpp:",
    ";;;;     no",
    ";;;; ",
    ";;;; Google Test:",
    ";;;;   GTEST_VERSION:   1.16.0",
    ";;;;   GTEST_INCLUDES:  -I/usr/include",
    ";;;;   GTEST_LDFLAGS:   -L/usr/lib",
    ";;;;   GTEST_LDADD:     -lgtest",
    ";;;;   GTEST_SOURCE:    ",
    ";;;; ",
    ";;;; GSS-API support:",
    ";;;;   GSSAPI_CFLAGS:         ",
    ";;;;   GSSAPI_LIBS:           -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err",
    ";;;; ",
    ";;;; Developer:",
    ";;;;   Enable Debugging:          no",
    ";;;;   Google Tests:              yes",
    ";;;;   Valgrind:                  not found",
    ";;;;   C++ Code Coverage:         no",
    ";;;;   Logger checks:             no",
    ";;;;   Install existing manuals:  no",
    ";;;;   Generate Documentation:    html, man but no pdf",
    ";;;;   Generate Parser:           yes",
    ";;;;   Generate Messages Files:   yes",
    ";;;;   Perfdhcp:                  yes",
    ";;;;   Kea-shell:                 yes",
    ";;;;   Enable fuzzing:            no",
    ";;;; ",
    ""
};

}
}
